{{- $config := ( .Site.Params.settings.hideEntryNavigation ) -}}
{{- $configType := ( printf "%T" $config ) -}}

{{- if ( eq $configType "bool" ) -}}
  {{- $.Scratch.Set "showEntryNav" ( not $config ) -}}
{{- else -}}
  {{- $.Scratch.Set "showEntryNav" ( not ( in $config .Section ) ) -}}
{{- end -}}

{{- if ( $.Scratch.Get "showEntryNav" ) -}}

{{ if gt ( len ( where .Site.RegularPages "Section" .Section ) ) 1 }}
<nav class='entry-nav-container'>
  <div class='entry-nav'>

    {{- if .PrevInSection -}}
    <div class='prev-entry'>
      <a href='{{ .PrevInSection.Permalink | relURL }}'>
        <span aria-hidden='true'>
          {{- partial "svg/icons" "prev" -}}
          {{- print " " ( i18n "previous" ) -}}
        </span>
        <!-- <span class='screen-reader'>{{ i18n "previousPost" }}: </span> -->
        {{- .PrevInSection.Title -}}
      </a>
    </div>
    {{- end -}}

    {{- if .NextInSection -}}
    <div class='next-entry'>
      <a href='{{ .NextInSection.Permalink | relURL }}'>
        <!-- <span class='screen-reader'>{{ i18n "nextPost" }}: </span> -->
        {{- .NextInSection.Title -}}
        <span aria-hidden='true'>
          {{- print ( i18n "next" ) " " -}}
          {{- partial "svg/icons" "next" -}}
        </span>
      </a>
    </div>
    {{- end -}}

  </div>
</nav>
{{ end }}

{{- end -}}
